package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 交易分类
 */
@AllArgsConstructor
@Getter
public enum ETradeClassify {
    /**
     * 1=消费 2=提现 3=转账 4=充值 5=收益 6=退款
     */
    CONSUME(1, "消费", 0, EnumsPrefixConstants.TRADE_CLASSIFY + "1"),

    /**
     * 提现
     */
    WITHDRAWAL(2, "提现", 0, EnumsPrefixConstants.TRADE_CLASSIFY + "2"),

    /**
     * 转账
     */
    TRANSFER(3, "转账", 0, EnumsPrefixConstants.TRADE_CLASSIFY + "3"),

    /**
     * 充值
     */
    RECHARGE(4, "充值", 0, EnumsPrefixConstants.TRADE_CLASSIFY + "4"),

    /**
     * 收益
     */
    INCOME(5, "收益", 0, EnumsPrefixConstants.TRADE_CLASSIFY + "5"),

    /**
     * 退款
     */
    REFUND(6, "退款", 0, EnumsPrefixConstants.TRADE_CLASSIFY + "6"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getByValue(int value) {
        for (ETradeClassify e : values()) {
            if (e.value == value) {
                return e.label;
            }
        }
        return null;
    }
}
